Bug 1641670 - [regression][Custom Button] Unexpected error encountered in infrastructure and datastore object type when method and dialog both attached
Summary: [regression][Custom Button] Unexpected error encountered in infrastructure an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.5
Assignee: Zita Nemeckova
QA Contact: Nikhil Dhandre
Red Hat CloudForms Documentation
URL:
Whiteboard: custom_button
Depends On: 1635797
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-22 13:31 UTC by Satoe Imaishi
Modified: 2018-11-05 14:00 UTC (History)
8 users (show)

Fixed In Version: 5.9.5.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1635797
Environment:
Last Closed: 2018-11-05 14:00:33 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 14:00:54 UTC

Comment 3 CFME Bot 2018-10-22 13:41:47 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/6669028a9b8f05213fac26eb481277fdb50e7ded
commit 6669028a9b8f05213fac26eb481277fdb50e7ded
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Mon Oct 22 08:41:32 2018 -0400
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Mon Oct 22 08:41:32 2018 -0400

    Merge pull request #4745 from ZitaNemeckova/fix_error_handling_open_url

    Fix error for Datastore custom button

    (cherry picked from commit fe7f419cc67c659a3bcabadc63a2cb334c1d4aed)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1641669
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1641670

 app/assets/javascripts/controllers/dialog_user/dialog_user_controller.js | 25 +-
 app/controllers/application_controller/buttons.rb | 3 +-
 app/views/shared/dialogs/_dialog_provision.html.haml | 1 +
 spec/javascripts/controllers/dialog_user/dialog_user_controller.spec.js | 1 -
 4 files changed, 20 insertions(+), 10 deletions(-)

Comment 4 Nikhil Dhandre 2018-10-24 11:23:50 UTC
I tested with Version 5.9.5.3.20181023135339_256263f

working fine. I not getting any unexpected error with 5.9 objects. Datastore facing a problem of  404. which is a different bug.

Comment 6 errata-xmlrpc 2018-11-05 14:00:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.